%global npm_name strftime

Name: nodejs-strftime
Version: 0.10.0
Release: 1%{?dist}
Summary: strftime for JavaScript
License: MIT
Group: Development/Libraries
URL: http://samhuri.net/proj/strftime
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr Makefile %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr component.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr millis.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr strftime-min.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr strftime.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test-dst.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test-week.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test.c %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%doc Changelog.md
%doc Readme.md

%changelog
* Wed May 08 2019 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 0.10.0-1
- Initial package generated with npm2rpm.
